For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log in to the PayOS Dashboard
GuidesAPI ReferenceHelp Center
GuidesAPI ReferenceHelp Center
  • Authentication API
    • POSTRequest an Access Token
  • Payments API
  • Payment Rules API
  • Payouts API
  • Payers API [BETA]
  • Reporting API
      • POSTCreate Transactions Report
      • POSTCreate Transactions Reconciliation Report
      • POSTCreate Unmatched Settlements Report
      • GETList Reports
      • GETGet Transactions Report
      • GETGet Transactions Reconciliation Report
      • GETGet Unmatched Settlements Report
      • GETGet Generic Report
      • POSTImport Generic Report
  • Verification API
Log in to the PayOS Dashboard
LogoLogo
Reporting APIReport

Create Transactions Report

POST
https://api.payos.money/api/v1/reports/transactions
POST
/api/v1/reports/transactions
$curl -X POST https://api.payos.money/api/v1/reports/transactions \
> -H "Content-Type: application/json" \
> -d '{
> "merchantId": "string",
> "parameters": {
> "dateRange": {
> "startDate": "2024-01-15T09:30:00Z",
> "endDate": "2024-01-15T09:30:00Z"
> },
> "columns": [
> "Amount"
> ]
> },
> "name": "string"
>}'
1{
2 "id": "string",
3 "reportType": "TransactionsReport",
4 "merchantId": "string",
5 "requesterUsername": "string",
6 "createdAt": "2024-01-15T09:30:00Z",
7 "status": "Initiated",
8 "name": "string",
9 "generatedAt": "2024-01-15T09:30:00Z",
10 "merchantName": "string"
11}
Create a new transactions report for asynchronous processing
Was this page helpful?
Previous

Create Transactions Reconciliation Report

Next
Built with

Request

This endpoint expects an object.
merchantIdstringRequired
The merchant ID to create the report for
parametersobjectRequired
Parameters for configuring the transactions report
namestringRequiredformat: "[a-zA-Z0-9]">=1 character
The name of the report

Response

Transactions report created successfully
idstring
reportTypeenum
Allowed values:
merchantIdstring
requesterUsernamestring
createdAtstringformat: "date-time"
statusenum
Allowed values:
namestring
generatedAtstringformat: "date-time"
merchantNamestring

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
500
Internal Server Error